Subject: Re: Porting RapidIO from ppc arch to powerpc arch in support of MPC8641D

From: Segher Boessenkool <[email-masked]>
Date: Thu, 24 May 2007 01:05:25 +0200

>> If the firmware sets up the "law", it should put a property
>> in the node describing the setting.  If Linux sets up the
>> laws, there shouldn't be a property (since it is a policy
>> decision).
> Ooops, I just posted a question to you before I saw this pop up sorry?

No problem.

> But when you say "firmware" do you mean u-boot or your kernel loading
> code or do you mean some aspect of the hardware, eg, its EEPROM program
> which can vary from hardware to hardware instantiation?

Any of those.  Anything before the kernel takes control.

> If you mean u-boot I'm confused (so whats new?). AFAIK u-boot can't
> probe and set this up

Maybe it should.

>  and even if it did, linux in the arch's I'm
> familiar with sets everything up anew regardless of what the boot 
> loader
> did.

...and maybe that needs changing.

If it's a platform thing, it's the platform firmware code
that should configure it (and then it belongs in the device
tree).  If reasonably the kernel should configure it later,
_it_ should do it (and then there shouldn't be a device tree
property).

I have no clue which it is.

Segher